# $Revision: 1.17 $, $Date: 2012/02/12 08:10:40 $
Summary:	Cairo graphics library wrapper for Guile Scheme
Summary(pl.UTF-8):	Wrapper biblioteki graficznej Cairo dla Guile Scheme
Name:		guile-cairo
Version:	1.4.1
Release:	5
License:	LGPL v3+
Group:		Libraries
Source0:	http://download.gna.org/guile-cairo/%{name}-%{version}.tar.gz
# Source0-md5:	70c6d977e7fdffb2c717eb9bff04eec1
Patch0:		%{name}-headers.patch
Patch1:		%{name}-info.patch
URL:		http://home.gna.org/guile-cairo/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	cairo-devel >= 1.4.0
BuildRequires:	guile-devel >= 5:1.6.4
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	texinfo
Requires:	cairo >= 1.4.0
Requires:	guile >= 5:1.6.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Guile-Cairo wraps the Cairo graphics library for Guile Scheme.

%description -l pl.UTF-8
Guile-Cairo obudowuje bibliotekę graficzną Cairo dla Guile Scheme.

%package devel
Summary:	Header files for guile-cairo library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki guile-cairo
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cairo-devel >= 1.4.0
Requires:	guile-devel >= 5:1.6.4

%description devel
Header files for guile-cairo library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki guile-cairo.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make} \
	DEBUG_CFLAGS="-I%{_includedir}/cairo"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libguile-cairo.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libguile-cairo.so.0
%{_datadir}/guile/site/cairo.scm
%{_datadir}/guile/site/cairo

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libguile-cairo.so
%{_libdir}/libguile-cairo.la
%{_includedir}/guile-cairo
%{_pkgconfigdir}/guile-cairo.pc
%{_infodir}/guile-cairo.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: guile-cairo.spec,v $
Revision 1.17  2012/02/12 08:10:40  arekm
- release 5

Revision 1.16  2012/02/07 22:02:20  arekm
- release 4

Revision 1.15  2011/12/20 19:39:07  arekm
- release 3

Revision 1.14  2011/09/11 13:53:11  arekm
- release 2

Revision 1.13  2011/05/17 14:59:12  qboosh
- updated to 1.4.1

Revision 1.12  2011/01/22 16:33:35  sparky
- pass -I%{_includedir}/cairo through DEBUG_CFLAGS
  (Makefile.am is ugly and does not allow to do it in a cleaner way)
- auto*ize
- BR: autoconf, automake, libtool

Revision 1.11  2010/05/22 21:41:25  sparky
- don't require c++ compiler

Revision 1.10  2010/04/21 17:02:01  arekm
- release 4

Revision 1.9  2008/11/22 14:47:37  megabajt
- release 3

Revision 1.8  2008/05/29 05:27:32  qboosh
- ghost soname symlink

Revision 1.7  2008-05-29 05:20:05  qboosh
- release 2

Revision 1.6  2008-01-24 01:36:32  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.5  2007-08-12 16:34:26  qboosh
- updated to 1.4.0
- added info patch

Revision 1.4  2007/07/13 05:32:18  qboosh
- updated to 1.3.92

Revision 1.3  2007/06/09 18:58:37  arekm
- up to 1.3.91

Revision 1.2  2007/05/26 14:31:46  qboosh
- added headers patch

Revision 1.1  2007/05/26 09:13:09  qboosh
- new
